# Asterisk Project : Asterisk 13 Application_NoOp

Created by wikibot on Aug 08, 2014

# NoOp()

### Synopsis

Do Nothing (No Operation).

### Description

This application does nothing. However, it is useful for debugging purposes.

This method can be used to see the evaluations of variables or functions without having any effect.

### Syntax

    NoOp([text])

##### Arguments

- `text` - Any text provided can be viewed at the Asterisk CLI.

### See Also

- Asterisk 13 Application_Verbose
- Asterisk 13 Application_Log

### Import Version

This documentation was imported from Asterisk Version SVN-branch-13-r420538